Skip to main content
POST
/
contact
/
create
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "first_name": "Ava",
    "last_name": "Patel",
    "email": "ava.patel@example.com",
    "country_code": "+1",
    "phone_number": "5551234567",
    "audience_id": "aud_01HXR9V5S7W1S0Q4H4PDTGM43B"
}

response = client.contacts.create(**payload)
print(response)
{
  "status": "success",
  "contact_id": "con_01HXR9N8QCYHTWNB5JX22P4QZA",
  "message": "Contact created"
}

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Create contact.

Contact Create Request schema.

first_name
string
required

First name

Example:

"Ava"

last_name
string
required

Last name

Example:

"Patel"

email
string<email>
required

Email

Example:

"ava.patel@example.com"

country_code
string
required

Country code

Example:

"+1"

phone_number
string
required

Phone number

Example:

"5551234567"

audience_id
string

Optional audience ID

Example:

"aud_01HXR9V5S7W1S0Q4H4PDTGM43B"

Response

Contact created

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.